complexType "ExerciseProcedure"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 5 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (manualExercise? | automaticExercise?), followUpConfirmation?, limitedRightToConfirm?, splitTicket?
</...>

Content Model Elements (5):

  automaticExercise (defined in ExerciseProcedure complexType),
  followUpConfirmation (defined in ExerciseProcedure complexType),
  limitedRightToConfirm,
  manualExercise (defined in ExerciseProcedure complexType),
  splitTicket

All Direct / Indirect Based Elements (4):

  exerciseProcedure (defined in OptionBaseExtended complexType),
  exerciseProcedure (in fxDigitalOption),
  exerciseProcedure (in fxOption),
  exerciseProcedure (in swaption)

Known Usage Locations

- As direct type of elements (4):
  exerciseProcedure (defined in OptionBaseExtended complexType),
  exerciseProcedure (in fxDigitalOption),
  exerciseProcedure (in fxOption),
  exerciseProcedure (in swaption)

Annotation
A type describing how notice of exercise should be given. This can be either manual or automatic.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="ExerciseProcedure"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="manualExercise" type="ManualExercise"/> <xsd:element minOccurs="0" name="automaticExercise" type="AutomaticExercise"/> </xsd:choice> <xsd:element minOccurs="0" name="followUpConfirmation" type="xsd:boolean"/> <xsd:element minOccurs="0" name="limitedRightToConfirm" type="xsd:boolean"/> <xsd:element minOccurs="0" name="splitTicket" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
automaticExercise

  Type: | AutomaticExercise, complex content

  If automatic is specified then the notional amount of the underlying swap, not previously exercised under the swaption will be automatically exercised at the expriration time on the expiration date if at such time the buyer is in-the-money, provided that the difference between the settlement rate and the fixed rate under the relevant underlying swap is not less than the specified threshold rate. The term in-the-money is assumed to have the meaning defining in the 2000 ISDA Definitions, Section 17.4 In-the-money.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="automaticExercise" type="AutomaticExercise"/>

followUpConfirmation

  Type: | xsd:boolean, predefined, simple content

  A flag to indicate whether follow-up confirmation of exercise (written or electronic) is required following telephonic notice by the buyer to the seller or seller's agent.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="followUpConfirmation" type="xsd:boolean"/>

limitedRightToConfirm

  Type: | xsd:boolean, predefined, simple content

  Has the meaning defined as part of the 1997 ISDA Government Bond Option Definitions, section 4.5 Limited Right to Confirm Exercise. If present, (i) the Seller may request the Buyer to confirm its intent if not done on or before the expiration time on the Expiration date (ii) specific rules will apply in relation to the settlement mode.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="limitedRightToConfirm" type="xsd:boolean"/>

manualExercise

  Type: | ManualExercise, complex content

  Specifies that the notice of exercise must be given by the buyer to the seller or seller's agent.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="manualExercise" type="ManualExercise"/>

splitTicket

  Type: | xsd:boolean, predefined, simple content

  Typically applicable to the physical settlement of bond and convertible bond options. If present, means that the Party required to deliver the bonds will divide those to be delivered as notifying party desires to facilitate delivery obligations.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="splitTicket" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.